/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.materialmodule.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.advence.activiti.entity.Advance;
import com.jeeplus.modules.sg.materialmodule.activiti.entity.MaterialModule;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


/**
 * 请假表单MAPPER接口
 * @author lgf
 * @version 2018-06-12
 */
@MyBatisMapper
public interface MaterialModuleMapper extends BaseMapper<MaterialModule> {

    //根据项目id修改项目施工状态
    void updateConstructionStatus(MaterialModule materialModule);

    //查询项目信息
    String findProjectName (String procInsId);

    //项目项目的计划开工时间
    Date findSpecificTime(String projectName);

    //查找登录名id
    List<String> findUserId(@Param("list") List<String> list);

}